Skip to main content
GET
/
routing-deposit-addresses
/
search
Search routing deposit addresses by different fields
curl --request GET \
  --url https://api.rhino.fi/sda/routing-deposit-addresses/search \
  --header 'Authorization: Bearer <token>'
{
  "nextPageToken": "<string>",
  "items": [
    {
      "depositChain": "<string>",
      "depositAddress": "<string>",
      "routes": [
        {
          "action": {
            "destinationChain": "<string>",
            "destinationAddress": "<string>",
            "_tag": "bridge"
          },
          "matcher": {
            "symbolsOrAddresses": [
              "<string>"
            ],
            "_tag": "sentToken"
          },
          "priority": 1
        }
      ],
      "addressNote": "<string>",
      "refundAddress": "<string>",
      "webhookUrl": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT token for authentication

Query Parameters

pageToken
string

a non empty string

Minimum string length: 1
pageSize
string

a string to be decoded into a number

addressNote
string

a string at most 80 character(s) long

Maximum string length: 80
depositChain
string

a non empty string

Minimum string length: 1
destinationChain
string

a non empty string

Minimum string length: 1
destinationAddress
string

a non empty string

Minimum string length: 1

Response

SearchRoutingDepositAddressResponse

nextPageToken
string | null
required

Token for the next page of results, null if no more pages.

Minimum string length: 1
items
object[]
required

Array of routing deposit addresses matching the search criteria.